
public class Pilha {
	private No topo;
	private int quantidade;
	
	public Pilha() {
		topo = null;
		quantidade = 0;
	}
	
	public void inserir(String conteudo) {
		No no = new No(conteudo);
		no.setProximo(topo);
		topo = no;
		quantidade++;
	}
	
	public String retirar() {
		No aux = topo;
		if (topo != null) {
			topo = topo.getProximo();
			quantidade--;
		} else {
			return null;
		}
		return aux.getConteudo();
	}
	
	public String getTopo() {
		if (topo == null) {
			return null;
		}
		return topo.getConteudo();
	}
	
	public int getQuantidade() {
		return quantidade;
	}
}
